Subject: Re: [Add] Recent calls for adoption discussion and group consensus

From: Andrew Campling <[email-masked]>
Date: Mon, 1 Nov 2021 10:55:27 +0000

I previously posted messages supporting the adoption of both documents and I’ve yet to see anything to convince me to change my mind.  We need a solution for the discovery of resolvers where split-horizon DNS is deployed by a network, in enterprise and other situations; the Split-Horizon DNS Configuration draft addresses that need, accepting that the wg may identify areas where the existing document can be improved.  I also believe that the wg will benefit from having an agreed set of deployment considerations for the discovery of encrypted DNS servers and that the Deployment Considerations draft is an excellent starting point for this, again accepting that the wg may identify areas where the existing document can be improved post-adoption.

Noting the above, I continue to support the adoption of both documents by the wg.

Andrew

From: Deen, Glenn <[email-masked]>
Sent: 29 October 2021 16:25
To: [email-masked]
Subject: [Add] Recent calls for adoption discussion and group consensus

Hi ADD,

Yesterday the chairs announced the evaluation that the ADD WG Adoption call for 2 documents (1) & (2)  seemed to have sufficient consensus to support WG Adoption.    These were both difficult to evaluate in this case due to the small amount of replies and the chairs used the list discussion and recent meeting discussions to evaluate the direction the group wanted.  It’s easy to make these calls when there is a strong response, especially if you can have the type of discussion beyond basic email to help gain the sense of level of support, but that was not the case for these two recent calls.

Ultimately, it’s up to the consensus by the WG participants on what documents move forward.  Consensus is not about one set of views simply out numbering different views, but something more subtle, more complicated to evaluate at times, and not something to rush.

It’s more important to get consensus right than it is to simply push ahead, so given that the evaluation of consensus was difficult in these two cases,  the chairs are going to move both docs back to Adoption Call status and extend the discussion by the ADD group before making the final call on adoption for both documents after IETF112.

We’ll add slots on the agenda for both documents to give participants the chance to share their views,  and of course discussion and statements for/against adoption should continue on the discussion list.

Documents under WG Adoption Consideration
(1) Discovery of Encrypted DNS Resolvers: Deployment Considerations (draft-boucadair-add-deployment-considerations-00)
(2) Split-Horizon DNS Configuration draft (draft-reddy-add-enterprise-split-dns-06)

Thanks,
ADD Chairs – Glenn Deen & David Lawrence,  ADD AD – Eric Vyncke